## java3d 1.5.2%2Bdfsg

=== debian/control ===
Source: java3d
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Onkar Shinde <onkarshinde@ubuntu.com>,
 Emmanuel Bourg <ebourg@apache.org>,
 Torsten Werner <twerner@debian.org>
Build-Depends:
 ant-optional,
 debhelper (>= 11),
 default-jdk,
 javahelper,
 libgl1-mesa-dev,
 libvecmath-java,
 libxext-dev,
 libxt-dev,
 mesa-common-dev
Standards-Version: 4.1.3
Vcs-Git: https://anonscm.debian.org/git/pkg-java/java3d.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/java3d.git
Homepage: http://java3d.java.net

Package: libjava3d-java
Architecture: all
Suggests: libjava3d-java-doc
Depends:
 libjava3d-jni (>= ${source:Version}),
 libvecmath-java,
 ${misc:Depends}
Description: Java 3D API (java library)
 The Java 3D API enables the creation of three-dimensional graphics
 applications and Internet-based 3D applets. It provides high-level
 constructs for creating and manipulation 3D geometry and building the
 structures used in rendering that geometry. With this software, you can
 efficiently define and render very large virtual worlds.
 .
 This package contains the java library.

Package: libjava3d-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Java3D API (java jni library)
 The Java 3D API enables the creation of three-dimensional graphics
 applications and Internet-based 3D applets. It provides high-level
 constructs for creating and manipulation 3D geometry and building the
 structures used in rendering that geometry. With this software, you can
 efficiently define and render very large virtual worlds.
 .
 This package contains the java jni library.

Package: libjava3d-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libjava3d-java
Description: Documentation for the Java3D API
 The Java 3D API enables the creation of three-dimensional graphics
 applications and Internet-based 3D applets. It provides high-level
 constructs for creating and manipulation 3D geometry and building the
 structures used in rendering that geometry. With this software, you can
 efficiently define and render very large virtual worlds.
 .
 This package contains the API documentation.
