=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
include /usr/share/dpkg/buildflags.mk

export CLASSPATH=/usr/share/java/vecmath.jar

%:
	dh $@ --buildsystem=ant --with javahelper

override_dh_auto_build:
	dh_auto_build -- -f j3d-core/build.xml -Dbuild.type=fcs echo jar docs

override_dh_auto_clean:
	dh_auto_build -- -f j3d-core/build.xml clean

override_dh_auto_install-indep:
	mkdir -p debian/libjava3d-java-doc/usr/share/doc/libjava3d-java
	platform=`cd j3d-core; ant echo | grep platform | sed -e 's/.*= //'` ; \
	cp -r j3d-core/build/$$platform/javadocs/docs-public \
	    debian/libjava3d-java-doc/usr/share/doc/libjava3d-java/api

override_dh_auto_install-arch:
	install -m 644 -D j3d-core/build/default/opt/native/libj3dcore-ogl.so \
	    debian/libjava3d-jni/usr/lib/jni/libj3dcore-ogl.so

CVS_TAG=rel-$(subst .,_,$(subst +dfsg,,$(DEB_UPSTREAM_VERSION)))-fcs
get-orig-source::
	mkdir -p java3d-$(DEB_UPSTREAM_VERSION)
	cd java3d-$(DEB_UPSTREAM_VERSION) && cvs -d :pserver:guest@cvs.dev.java.net:/cvs export -r $(CVS_TAG) j3d-core j3d-core-utils
	tar -zcv --exclude .cvsignore \
	    --exclude unzipsfx \
	    -f ../java3d_$(DEB_UPSTREAM_VERSION).orig.tar.gz java3d-$(DEB_UPSTREAM_VERSION)
	rm -rf java3d-$(DEB_UPSTREAM_VERSION)
