## java3d 1.5.2+dfsg

=== debian/changelog ===
java3d (1.5.2+dfsg-9ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - 02_fix_generic_ftbfs.patch: Link with gcc -shared, not ld, don't
      explicitly link with libc.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Jun 2013 15:37:14 +0100

java3d (1.5.2+dfsg-9) unstable; urgency=low

  * Team upload.
  * Fixed the watch file
  * Updated Standards-Version to 3.9.4 (no changes)
  * Removed the deprecated DMUA flag
  * Removed the obsolete patching instructions in debian/README.source
  * debian/copyright: Updated to comply with the DEP5 format

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 28 Apr 2013 23:35:42 +0200

java3d (1.5.2+dfsg-8ubuntu1) quantal; urgency=low

  * 02_fix_generic_ftbfs.patch: Link with gcc -shared, not ld, don't
    explicitly link with libc (Colin Watson, Matthias Klose). Closes: #559767.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Oct 2012 17:45:28 +0100

java3d (1.5.2+dfsg-8) unstable; urgency=low

  * Team upload.
  * Remove -G flag from ia64 compiler flags.  (Closes: #650799)
  * Replace use of com.sun JPEG library with ImageIO.

 -- Niels Thykier <niels@thykier.net>  Sun, 24 Jun 2012 22:02:35 +0200

java3d (1.5.2+dfsg-7) unstable; urgency=low

  [Miguel Landaeta]
  * Team upload.
  * Switch to default-jdk. (Closes: #640937).
  * Bump Standards-Version to 3.9.2. No changes were required.

  [tony mancill]
  * Update Vcs-Svn URL in debian/control.

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 08 Sep 2011 19:56:44 -0430

java3d (1.5.2+dfsg-6) unstable; urgency=low

  [ Jonny Lamb ]
  * Removed myself from Uploaders.

  [ Torsten Werner ]
  * Remove Petter from Uploaders.
  * Switch to debhelper level 7.
  * Switch to source format 3.0.
  * Remove Java runtime from Depends.
  * Update Standards-Version: 3.9.1.

 -- Torsten Werner <twerner@debian.org>  Tue, 30 Aug 2011 20:03:52 +0200

java3d (1.5.2+dfsg-5) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Remove myself from the package

  [ Onkar Shinde ]
  * debian/control
    - Change build dependency default-jdk to openjdk-6-jdk. This library uses
      Sun specific APIs.
      This change will put package in DEPWAIT on certain arch. But DEPWAIT is
      better than FTBFS. (Closes: #559768)
    - Change dependency default-jre to openjdk-6-jre.
    - Remove -XS-Autobuild. Not needed anymore.
    - Update standards version to 3.8.3.
  * debian/rules
    - Change JAVA_HOME to correspond to openjdk.
  * debian/patches/02_fix_generic_ftbfs.patch
    - Allow the build to continue on kFreeBSD as well. (Closes: #559766)

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Sat, 09 Jan 2010 18:19:12 +0530

java3d (1.5.2+dfsg-4) unstable; urgency=low

  * Add missing compiler option -fPIC. (hopefully closes: #545840)

 -- Torsten Werner <twerner@debian.org>  Tue, 15 Sep 2009 12:01:30 +0200

java3d (1.5.2+dfsg-3) unstable; urgency=low

  [ Onkar Shinde ]
  * debian/patches/02_fix_generic_ftbfs.patch
    - Improve the patch as per my understanding of the build system.
      (Closes: #541384)
  * debian/patches/03_fix_ia64_ftbfs.patch
    - Add fix for FTBFS on ia64.

  [ Torsten Werner ]
  * Add myself to Uploaders.
  * Change patch system to quilt.
  * Add patch 04_no_maxmemory.patch:
    - Do not set maxmemory attribute in ant's javadoc task.

 -- Torsten Werner <twerner@debian.org>  Sat, 22 Aug 2009 12:14:24 +0200

java3d (1.5.2+dfsg-2) unstable; urgency=low

  * debian/control
    - Add myself to uploaders.
    - Move default-jdk to Build-Depends as there is no easy way to split builds
      of arch:all and arch:any packages.
  * debian/rules
    - Include simple patchsys makefile.
    - Add echo target for debugging purpose.
    - Add ant argument to set build type.
  * debian/patches/01_fix_powerpc_ftbfs.patch
    - Add fix for FTBFS on powerpc.
  * debian/patches/02_fix_generic_ftbfs.patch
    - Add fix for FTBFS on architectures not handled by current build system.
  * debian/README.source
    - Add to comply with policy.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Thu, 13 Aug 2009 10:23:33 +0530

java3d (1.5.2+dfsg-1) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Change version number scheme to match upstream.
  * debian/control: Added me to Uploaders.
  * debian/watch: Added watch file.

  [ Jonny Lamb ]
  * debian/rules:
    + Set JAVA_HOME. (Closes: #518775)
    + Update DEB_VER.
  * debian/watch: Added dversionmangle to remove .dfsg from version.
  * debian/control: Changed libjava3d-java's Section to java.

  [ Onkar Shinde ]
  * debian/control
    - Use default-jdk build dependency since now default-jdk is openjdk.
    - Remove default-jdk-builddep build dependency since we are not building
      any -gcj package.
    - Change runtime dependency to default-jre | java5-runtime as per the JVM
      target version specified in build.xml.
    - Change standards version to 3.8.2. No change needed.
  * debian/rules
    - Update JAVA_HOME to correspond to default-jdk.
    - Remove unnecessary reference to ant-launcher jar file.
    - Add DEB_ANT_BUILDFILE and set it to the build.xml in j3d-core.
    - Remove DEB_BUILDDIR.
    - Use cvs export instead of checkout. Doesn't need user interaction.
    - Use the release tag instead of getting latest files in cvs.
      Release tag is derived from upstream version.
    - Change directory name where code is checked out from cvs to the usual
      <package>-<version> format.
  * debian/watch
    - Simplify the expression for zip file name. Use uversionmangle for proper
      version matching.

 -- Jonny Lamb <jonny@debian.org>  Tue, 11 Aug 2009 09:48:38 +0100

java3d (0.0.cvs.20090202.dfsg-1) unstable; urgency=low

  * Initial Release.
  * debian/rules: Remove unzipsfx executables from orig.tar.gz.

 -- Jonny Lamb <jonny@debian.org>  Tue, 03 Feb 2009 11:39:00 +0000
