=== debian/control ===
--- 
+++ 
@@ -1,33 +1,22 @@
 Source: java3d
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders:
- Onkar Shinde <onkarshinde@ubuntu.com>,
- Emmanuel Bourg <ebourg@apache.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Onkar Shinde <onkarshinde@ubuntu.com>, Emmanuel Bourg <ebourg@apache.org>,
  Torsten Werner <twerner@debian.org>
-Build-Depends:
- ant-optional,
- debhelper (>= 11),
- default-jdk,
- javahelper,
- libgl1-mesa-dev,
- libvecmath-java,
- libxext-dev,
- libxt-dev,
- mesa-common-dev
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/java3d.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/java3d.git
-Homepage: http://java3d.java.net
+Build-Depends: debhelper (>= 7), cdbs, default-jdk, ant-optional, libvecmath-java,
+ mesa-common-dev, libgl1-mesa-dev, libxext-dev, libxt-dev
+Standards-Version: 3.9.4
+Homepage: http://java3d.dev.java.net
+Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/java3d/
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/java3d/
 
 Package: libjava3d-java
 Architecture: all
 Suggests: libjava3d-java-doc
-Depends:
- libjava3d-jni (>= ${source:Version}),
- libvecmath-java,
- ${misc:Depends}
+Depends: ${misc:Depends}, libjava3d-jni (>= ${source:Version}),
+ libvecmath-java
 Description: Java 3D API (java library)
  The Java 3D API enables the creation of three-dimensional graphics
  applications and Internet-based 3D applets. It provides high-level
