=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME            := /usr/lib/jvm/default-java
DEB_JARS             := ant-nodeps vecmath
DEB_ANT_BUILDFILE    := j3d-core/build.xml
DEB_ANT_CLEAN_TARGET := clean
DEB_ANT_BUILD_TARGET := echo jar docs
DEB_ANT_ARGS         := -Dbuild.type=fcs

install/libjava3d-java::
	set -e ; for jar in j3dcore j3dutils ; do \
	    install -m 644 -D j3d-core/build/default/opt/lib/ext/$$jar.jar \
	        debian/libjava3d-java/usr/share/java/$$jar-$(DEB_UPSTREAM_VERSION).jar; \
	    ln -s $$jar-$(DEB_UPSTREAM_VERSION).jar debian/libjava3d-java/usr/share/java/$$jar.jar ; \
	done

install/libjava3d-jni::
	install -m 644 -D j3d-core/build/default/opt/native/libj3dcore-ogl.so \
	    debian/libjava3d-jni/usr/lib/jni/libj3dcore-ogl.so

install/libjava3d-java-doc::
	mkdir -p debian/libjava3d-java-doc/usr/share/doc/libjava3d-java-doc
	platform=`cd j3d-core; ant echo | grep platform | sed -e 's/.*= //'` ; \
	cp -r j3d-core/build/$$platform/javadocs/docs-public \
	    debian/libjava3d-java-doc/usr/share/doc/libjava3d-java-doc/api

CVS_TAG=rel-$(subst .,_,$(subst +dfsg,,$(DEB_UPSTREAM_VERSION)))-fcs
get-orig-source::
	mkdir -p java3d-$(DEB_UPSTREAM_VERSION)
	cd java3d-$(DEB_UPSTREAM_VERSION) && cvs -d :pserver:guest@cvs.dev.java.net:/cvs export -r $(CVS_TAG) j3d-core j3d-core-utils
	tar -zcv --exclude .cvsignore \
	    --exclude unzipsfx \
	    -f ../java3d_$(DEB_UPSTREAM_VERSION).orig.tar.gz java3d-$(DEB_UPSTREAM_VERSION)
	rm -rf java3d-$(DEB_UPSTREAM_VERSION)
